hpkp.c(3)

NAME
hpkp.c - HTTP Public Key Pinning (RFC 7469) routines.

SYNOPSIS

#include <config.h>
#include <wget.h>
#include <string.h>
#include <stddef.h>
#include <ctype.h>
#include <sys/stat.h>
#include <limits.h>
#include 'private.h'
#include 'hpkp.h'

  Functions
void wget_hpkp_pin_add (wget_hpkp *hpkp, const char *pin_type, const char *pin_b64)
void wget_hpkp_free (wget_hpkp *hpkp)
wget_hpkp * wget_hpkp_new (void)
void wget_hpkp_set_host (wget_hpkp *hpkp, const char *host)
void wget_hpkp_set_maxage (wget_hpkp *hpkp, int64_t maxage)
void wget_hpkp_set_include_subdomains (wget_hpkp *hpkp, bool include_subdomains)
int wget_hpkp_get_n_pins (wget_hpkp *hpkp)
void wget_hpkp_get_pins_b64 (wget_hpkp *hpkp, const char **pin_types, const char **pins_b64)
void wget_hpkp_get_pins (wget_hpkp *hpkp, const char **pin_types, size_t *sizes, const void **pins)
const char * wget_hpkp_get_host (wget_hpkp *hpkp)
int64_t wget_hpkp_get_maxage (wget_hpkp *hpkp)
bool wget_hpkp_get_include_subdomains (wget_hpkp *hpkp)

Detailed Description

HTTP Public Key Pinning (RFC 7469) routines.

Author

Generated automatically by Doxygen for wget2 from the source code.